=== debian/changelog ===
geos (3.7.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Dec 2018 20:00:02 +0100

geos (3.7.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Build-Depends-Package field to symbols files.
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Nov 2018 06:52:18 +0100
