## geos 3.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 #################################################################################
 # Set GEOS project
 #################################################################################
-project(GEOS VERSION 3.7.0 LANGUAGES C CXX)
+project(GEOS VERSION 3.7.2 LANGUAGES C CXX)
 
 # Add custom GEOS modules for CMake
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules")
@@ -58,7 +58,7 @@
 
 # GEOS C API version
 set(CAPI_INTERFACE_CURRENT 12)
-set(CAPI_INTERFACE_REVISION 0)
+set(CAPI_INTERFACE_REVISION 2)
 set(CAPI_INTERFACE_AGE 11)
 
 math(EXPR CAPI_VERSION_MAJOR "${CAPI_INTERFACE_CURRENT} - ${CAPI_INTERFACE_AGE}")
