=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                pkg-kde-tools,
                ruby-all-dev,
                swig
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
 Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
@@ -32,7 +32,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-3.7.1 (= ${binary:Version}),
+Depends: libgeos-3.7.2 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -72,7 +72,7 @@
  This package contains the C library. A C++ library is provided
  by the libgeos-* package.
 
-Package: libgeos-3.7.1
+Package: libgeos-3.7.2
 Architecture: any
 Multi-Arch: same
 Section: libs
